Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220911 (CVE-2008-1801) - net-misc/rdesktop <1.6.0 rdesktop multiple vulnerabilities (CVE-2008-{1801,1802,1803})
Summary: net-misc/rdesktop <1.6.0 rdesktop multiple vulnerabilities (CVE-2008-{1801,18...
Status: RESOLVED FIXED
Alias: CVE-2008-1801
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://secunia.com/advisories/30118/
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-08 12:07 UTC by Joel
Modified: 2008-06-14 19:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel 2008-05-08 12:07:09 UTC
Secunia:

Description:
Some vulnerabilities have been reported in rdesktop, which can be exploited by malicious people to compromise a user's system.

1) An integer underflow error in iso.c when processing RDP requests can be exploited to cause a heap-based buffer overflow.

2) An input validation error in rdp.c when processing RDP redirect requests can be exploited to cause a BSS-based buffer overflow.

3) A signedness error within "xrealloc()" in rdesktop.c can be exploited to cause a heap-based buffer overflow.

Successful exploitation allows execution of arbitrary code but requires that a user is tricked into connecting to a malicious RDP server.

The vulnerabilities are reported in version 1.5.0. Other versions may also be affected.

Solution:
Fixed in the CVS repository.
http://rdesktop.cvs.sourceforge.net/r...p;diff_format=h&pathrev=HEAD#l101
http://rdesktop.cvs.sourceforge.net/r...annotate=1.102&pathrev=HEAD#l1337
http://rdesktop.cvs.sourceforge.net/r...amp;tr2=1.118&diff_format=h#l1134

Original Advisory:
iDefense Labs:
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=696
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=697
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=698
Comment 1 Robert Buchholz (RETIRED) gentoo-dev 2008-05-14 16:43:00 UTC
PoCs:
http://milw0rm.com/exploits/5561
http://milw0rm.com/exploits/5585

Martin is retiring per bug #159513, so I bumped to the freshly released 1.6.0. It contains all the fixes "linked" above.
Comment 2 Robert Buchholz (RETIRED) gentoo-dev 2008-05-14 16:43:22 UTC
Arches, please test and mark stable:
=net-misc/rdesktop-1.6.0
Target keywords : "alpha amd64 hppa ia64 ppc ppc64 release sparc x86"
Comment 3 Markus Rothe (RETIRED) gentoo-dev 2008-05-14 17:03:20 UTC
ppc64 stable
Comment 4 Markus Meier gentoo-dev 2008-05-14 20:17:57 UTC
amd64/x86 stable
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2008-05-15 04:04:34 UTC
Stable for HPPA.
Comment 6 Ferris McCormick (RETIRED) gentoo-dev 2008-05-16 15:24:49 UTC
Sparc done.
Comment 7 Tobias Scherbaum (RETIRED) gentoo-dev 2008-05-16 19:40:30 UTC
ppc stable
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2008-05-17 09:52:48 UTC
ia64 stable, Tobias will do alpha later today
Comment 9 Tobias Klausmann gentoo-dev 2008-05-17 13:32:00 UTC
Stable on alpha.
Comment 10 Peter Volkov (RETIRED) gentoo-dev 2008-05-18 15:26:38 UTC
Fixed in release snapshot.
Comment 11 Pierre-Yves Rofes (RETIRED) gentoo-dev 2008-06-14 19:16:08 UTC
GLSA 200806-04